GETIOBUF(9)

NAME
getiobuf, getiobuf_nowait, putiobuf - I/O descriptor allocation interface

SYNOPSIS
#include <sys/buf.h>
struct buf *
getiobuf(void);
struct buf *
getiobuf_nowait(void);
void
putiobuf(struct buf *bp);

DESCRIPTION
getiobuf() allocates a buf structure. Note that this buffer doesn't belong to buffer cache. To free it, putiobuf() should be used. brelse() should not be used on it.

getiobuf_nowait() is the same as getiobuf(), except that getiobuf_nowait() never sleeps.

putiobuf() frees bp, which should be a buffer allocated with either of getiobuf() or getiobuf_nowait().

SEE ALSO
buffercache(9), intro(9)